ランタイム: Mix::Scene::IActorKinematicCharacter Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IActorKinematicCharacter Class Referenceabstract

アクターキネマティックキャラクター More...

`#include <IActorKinematicCharacter.h>`

Inheritance diagram for Mix::Scene::IActorKinematicCharacter:
[legend]
Collaboration diagram for Mix::Scene::IActorKinematicCharacter:
[legend]

## Public Member Functions

virtual UInt16 | GetCurrentFilterGroup (void) const =0
| 現在のフィルターグループを取得します More...
virtual UInt16 | GetFilterGroup (Mix::Scene::DYNAMICS_KCHAR_MODE mode) const =0
| フィルターグループを取得します More...
virtual void | SetFilterGroup (Mix::Scene::DYNAMICS_KCHAR_MODE mode, UInt16 filterGroup)=0
| フィルターグループを設定します More...
virtual UInt16 | GetCurrentFilterMask (void) const =0
| 現在のフィルターマスクを取得します More...
virtual UInt16 | GetFilterMask (Mix::Scene::DYNAMICS_KCHAR_MODE mode) const =0
| フィルターマスクを取得します More...
virtual void | SetFilterMask (Mix::Scene::DYNAMICS_KCHAR_MODE mode, UInt16 filterMask)=0
| フィルターマスクを設定します More...
virtual const Mix::Quaternion & | GetAngularVelocity (void) const =0
| 回転速度を取得します More...
virtual void | SetAngularVelocity (const Mix::Quaternion &vel)=0
| 回転速度を設定します More...
virtual Float32 | GetActiveThreshold (void) const =0
| 活動していると判断する速度を取得します More...
virtual void | SetActiveThreshold (Float32 threshold)=0
| 活動していると判断する速度を設定します More...
virtual Float32 | GetDeactivationElapsedTime (void) const =0
| 非活動状態と判断する経過時間を取得します More...
virtual void | SetDeactivationElapsedTime (Float32 elapsedTime)=0
| 非活動状態と判断する経過時間を設定します More...
virtual Boolean | IsActive (void) const =0
| 活動しているかどうかを確認します More...
virtual void | Stand (UInt32 upAxisIndex=1, const Mix::Vector3 &worldUp=Mix::Vector3(0.0f, 1.0f, 0.0f))=0
| 立たせます More...
Public Member Functions inherited from Mix::Scene::IKinematicCharacter
virtual Float32 | GetHeight (void) const =0
| 高さを取得します More...
virtual Float32 | GetRadius (void) const =0
| 半径を取得します More...
virtual Float32 | GetGravity (void) const =0
| 重力を取得します More...
virtual void | SetGravity (Float32 gravity)=0
| 重力を設定します More...
virtual Float32 | GetMaxFallSpeed (void) const =0
| 最大落下速度を取得します More...
virtual void | SetMaxFallSpeed (Float32 speed)=0
| 最大落下速度を設定します More...
virtual Float32 | GetInitalJumpSpeed (void) const =0
| ジャンプ時の初速を取得します More...
virtual void | SetInitalJumpSpeed (Float32 speed)=0
| ジャンプ時の初速を設定します More...
virtual Float32 | GetStepHeight (void) const =0
| 上れる段差の高さを取得します More...
virtual void | SetStepHeight (Float32 height)=0
| 上れる段差の高さを設定します More...
virtual Float32 | GetSlopeLimit (void) const =0
| 上れる勾配の角度を取得します More...
virtual void | SetSlopeLimit (Float32 rad)=0
| 上れる勾配の角度を設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual const Mix::Vector3 & | GetLinearVelocity (void) const =0
| 移動速度を取得します More...
virtual void | SetLinearVelocity (const Mix::Vector3 &vel)=0
| 移動速度を設定します More...
virtual Boolean | OnGround (void) const =0
| 地上にいるかどうかを取得します More...
virtual Boolean | CanJump (void) const =0
| ジャンプできるかどうかを確認します More...
virtual Boolean | Jump (void)=0
| ジャンプします More...
Public Member Functions inherited from Mix::Scene::IDynamicsObject
virtual Mix::Scene::IDynamicsObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetOwner (Mix::Scene::IRendererObject **ppOwner)=0
| オーナーを取得します More...
virtual Mix::Scene::IRendererObject * | GetOwnerPtr (void) const =0
| オーナーのポインタを取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Boolean | HasContactListener (void) const =0
| コンタクトリスナーを所持しているかどうかを取得します More...
virtual Boolean | ContainsContactListener (Mix::Scene::IContactListener *pListener) const =0
| 指定したコンタクトリスナーが存在しているかどうかを確認します More...
virtual Boolean | AddContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを追加します More...
virtual Boolean | RemoveContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを削除します More...
virtual void | ClearContactListener (void)=0
| 全てのコンタクトリスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IActorKinematicCharacter (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IKinematicCharacter
virtual | ~IKinematicCharacter (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IDynamicsObject
virtual | ~IDynamicsObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IDynamicsObject
enum | TYPE { UNDEFINED = 0, SIMPLE_COLLIDER = 1, LIBERTY_COLLIDER = 2, ACTOR_COLLIDER = 3, TERRAIN_COLLIDER = 4, SIMPLE_SENSOR = 5, ACTOR_SENSOR = 6, SIMPLE_KINEMATIC_CHARACTER = 7, ACTOR_KINEMATIC_CHARACTER = 8 }
| タイプ列挙定数 More...

## Detailed Description

アクターキネマティックキャラクター

## Constructor & Destructor Documentation

virtual Mix::Scene::IActorKinematicCharacter::~IActorKinematicCharacter | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt16 Mix::Scene::IActorKinematicCharacter::GetCurrentFilterGroup | ( | void |  | ) | const

pure virtual

現在のフィルターグループを取得します

Returns
  フィルターグループを返します

virtual UInt16 Mix::Scene::IActorKinematicCharacter::GetFilterGroup | ( | Mix::Scene::DYNAMICS_KCHAR_MODE | mode | ) | const

pure virtual

フィルターグループを取得します

Parameters

  [in] | mode | 取得するモードを表す Mix::Scene::DYNAMICS_KCHAR_MODE 列挙定数( DKC_DISABLE 以外 )

Returns
  フィルターグループを返します

virtual void Mix::Scene::IActorKinematicCharacter::SetFilterGroup | ( | Mix::Scene::DYNAMICS_KCHAR_MODE | mode,
|  | UInt16 | filterGroup
| ) |  |

pure virtual

フィルターグループを設定します

Parameters

  [in] | mode | 設定するモードを表す Mix::Scene::DYNAMICS_KCHAR_MODE 列挙定数( DKC_DISABLE 以外 )
  [in] | filterGroup | フィルターグループ

Note
  初期値は ( Mix::Dynamics::OF_CHARACTER ) になります。

virtual UInt16 Mix::Scene::IActorKinematicCharacter::GetCurrentFilterMask | ( | void |  | ) | const

pure virtual

現在のフィルターマスクを取得します

Returns
  フィルターマスクを返します

virtual UInt16 Mix::Scene::IActorKinematicCharacter::GetFilterMask | ( | Mix::Scene::DYNAMICS_KCHAR_MODE | mode | ) | const

pure virtual

フィルターマスクを取得します

Parameters

  [in] | mode | 取得するモードを表す Mix::Scene::DYNAMICS_KCHAR_MODE 列挙定数( DKC_DISABLE 以外 )

Returns
  フィルターマスクを返します

virtual void Mix::Scene::IActorKinematicCharacter::SetFilterMask | ( | Mix::Scene::DYNAMICS_KCHAR_MODE | mode,
|  | UInt16 | filterMask
| ) |  |

pure virtual

フィルターマスクを設定します

Parameters

  [in] | mode | 設定するモードを表す Mix::Scene::DYNAMICS_KCHAR_MODE 列挙定数( DKC_DISABLE 以外 )
  [in] | filterMask | フィルターマスク

Note
  初期値は ( Mix::Dynamics::OF_STATIC | Mix::Dynamics::OF_CHARACTER ) になります。

virtual const Mix::Quaternion& Mix::Scene::IActorKinematicCharacter::GetAngularVelocity | ( | void |  | ) | const

pure virtual

回転速度を取得します

Returns
  回転速度を表す Mix::Quaternion クラスを返します

virtual void Mix::Scene::IActorKinematicCharacter::SetAngularVelocity | ( | const Mix::Quaternion & | vel | ) |

pure virtual

回転速度を設定します

Parameters

  [in] | vel | 回転速度を表す Mix::Quaternion クラス

virtual Float32 Mix::Scene::IActorKinematicCharacter::GetActiveThreshold | ( | void |  | ) | const

pure virtual

活動していると判断する速度を取得します

Returns
  速度を返します

virtual void Mix::Scene::IActorKinematicCharacter::SetActiveThreshold | ( | Float32 | threshold | ) |

pure virtual

活動していると判断する速度を設定します

Parameters

  [in] | threshold | 速度( 0.0f 以上 )

virtual Float32 Mix::Scene::IActorKinematicCharacter::GetDeactivationElapsedTime | ( | void |  | ) | const

pure virtual

非活動状態と判断する経過時間を取得します

Returns
  経過時間を返します

virtual void Mix::Scene::IActorKinematicCharacter::SetDeactivationElapsedTime | ( | Float32 | elapsedTime | ) |

pure virtual

非活動状態と判断する経過時間を設定します

Parameters

  [in] | elapsedTime | 経過時間( 0.0f以上 )

virtual Boolean Mix::Scene::IActorKinematicCharacter::IsActive | ( | void |  | ) | const

pure virtual

活動しているかどうかを確認します

Returns
  活動している場合は True を返します

virtual void Mix::Scene::IActorKinematicCharacter::Stand | ( | UInt32 | upAxisIndex = `1`,
|  | const Mix::Vector3 & | worldUp = `Mix::Vector3(0.0f, 1.0f, 0.0f)`
| ) |  |

pure virtual

立たせます

Parameters

  [in] | upAxisIndex | キネマティックキャラクターの上方向の軸のインデックス( X:0 Y:1 Z:2 )
  [in] | worldUp | ワールドの上方向を表す Mix::Vector3 クラス

The documentation for this class was generated from the following file:

- Mix/Scene/IActorKinematicCharacter.h